package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_menu")
public class BaseMenu {

    private Integer id;
    private Integer parent_id;
    private String  name;
    private String  action;
    private Integer sort;
    private Integer type;
    private Integer is_sys;
    private String  icon;
    private String  chinese_name;
    private Integer status;
    private Date    update_time;

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    @Column(name = "parent_id")
    public Integer getParent_id() {
        return parent_id;
    }

    public void setParent_id(Integer parent_id) {
        this.parent_id = parent_id;
    }
    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    @Column(name = "action")
    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }
    @Column(name = "sort")
    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }
    @Column(name = "is_sys")
    public Integer getIs_sys() {
        return is_sys;
    }

    public void setIs_sys(Integer is_sys) {
        this.is_sys = is_sys;
    }
    @Column(name = "icon")
    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }
    @Column(name = "chinese_name")
    public String getChinese_name() {
        return chinese_name;
    }

    public void setChinese_name(String chinese_name) {
        this.chinese_name = chinese_name;
    }
    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Override
    public String toString() {
        return "BaseMenu{" +
                "id=" + id +
                ", parent_id=" + parent_id +
                ", name='" + name + '\'' +
                ", action='" + action + '\'' +
                ", sort=" + sort +
                ", type=" + type +
                ", is_sys=" + is_sys +
                ", icon='" + icon + '\'' +
                ", chinese_name='" + chinese_name + '\'' +
                ", status=" + status +
                ", update_time=" + update_time +
                '}';
    }
}
